\section{Introduction}

The goal of this project was to create a model that can recognize handwritten
text~\cite{1999:EndToEndHTR}. This task goes beyond the mere recognition of
individual digits or letters; it aims to enable the detection and understanding
of entire words. By developing such a model, researchers and practitioners can
unlock a wide range of applications in various fields, including document
analysis, optical character recognition (OCR), and natural language processing.

Most of the researchers focus on segmenting words into individual characters
which leads to loss of context information. Furthermore, due to variety of
handwritten styles it is sometimes really hard to distinguish letters.
Additionally, integrating handwriting text recognition with natural language
processing techniques allows for a deeper understanding of the content and
context of handwritten text. This can facilitate tasks such as sentiment
analysis, language modeling, and information extraction from unstructured
handwritten data.
